  /********************************************************************\
  * BitlBee -- An IRC to other IM-networks gateway                     *
  *                                                                    *
  * Copyright 2002-2004 Wilmer van der Gaast and others                *
  \********************************************************************/

/* Help file control                                                    */

/*
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License with
  the Debian GNU/Linux distribution in /usr/share/common-licenses/GPL;
  if not, write to the Free Software Foundation, Inc., 59 Temple Place,
  Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _HELP_H
#define _HELP_H

/**
 * Help file.
 */
typedef struct help
{
#if GLIB_MAJOR_VERSION == 2 && GLIB_MINOR_VERSION >= 8
	GMappedFile *file;
#else
	char *file;
#endif
	GHashTable *entries;
} help_t;

help_t *help_load_file(const char *helpfile);
const char *help_get( help_t *help, const char *string );
void help_free(help_t *h);

#endif
